From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/jbig2dec/
Date: Fri, 11 Sep 2020 19:40:51 +0000 (UTC) [thread overview]
Message-ID: <1599853134.512e175785797a160a73754d0e17c87be2cc6fa5.whissi@gentoo> (raw)
commit: 512e175785797a160a73754d0e17c87be2cc6fa5
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 11 18:33:16 2020 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Fri Sep 11 19:38:54 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=512e1757
media-libs/jbig2dec: bump to v0.19
Package-Manager: Portage-3.0.6, Repoman-3.0.1
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
media-libs/jbig2dec/Manifest | 1 +
media-libs/jbig2dec/jbig2dec-0.19.ebuild | 68 ++++++++++++++++++++++++++++++++
2 files changed, 69 insertions(+)
diff --git a/media-libs/jbig2dec/Manifest b/media-libs/jbig2dec/Manifest
index 59d0a6a7225..3f593faa836 100644
--- a/media-libs/jbig2dec/Manifest
+++ b/media-libs/jbig2dec/Manifest
@@ -1,2 +1,3 @@
DIST jb2streams.zip 1285838 BLAKE2B 9a2b6047a7b970439693d6f5fdefb9488019a562e7f831288b27df09bb19dec2f84854cf7fea50b5b041d331e925145f37f2f89848058ecdc074e7d6c238033f SHA512 382890b36345b8aaebb3554e776a53f3276c6d835335ce41f3f41829ff62bba7ae646602544103ba8541a7a824dca92d682b682c254ab2918c7fe45b3e358b45
DIST jbig2dec-0.18.tar.gz 148563 BLAKE2B a864fd5b00abca3ae0f847c1d8fd537d92d68a3c042c851b6bebd51bb674f5bc4a36811f2b4fd7753db4d3641e544e03ec184cb90d43da0247d8affd7cf62c11 SHA512 5931530ee3b811f9009c95d08ad65701564ef8ebf6511145acb969cc7c99dab5028daaee580dd83358b6bdc477cffe347712b9c9768c9b1a63395e366046267d
+DIST jbig2dec-0.19.tar.gz 149134 BLAKE2B 576f3a516499b6291d25dfdefe5af62899665167526dca11435bc07e04a3feb707f82d3a8bdda774f5cfe0d792c3147e77aa94fa57feac25ba1c0a7805c5fc58 SHA512 d5a27951cc9c06c184f454e258e81b6e4d5aa2742a4da821522b9a42ecc78e7e1b78058dabc23821618e62d62d8832011f16b5ef2d66beac463da6b809fd02af
diff --git a/media-libs/jbig2dec/jbig2dec-0.19.ebuild b/media-libs/jbig2dec/jbig2dec-0.19.ebuild
new file mode 100644
index 00000000000..97c630ef522
--- /dev/null
+++ b/media-libs/jbig2dec/jbig2dec-0.19.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit autotools python-any-r1
+
+DESCRIPTION="A decoder implementation of the JBIG2 image compression format"
+HOMEPAGE="https://jbig2dec.com/"
+SRC_URI="https://github.com/ArtifexSoftware/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
+ test? ( http://jbig2dec.sourceforge.net/ubc/jb2streams.zip )"
+
+LICENSE="AGPL-3"
+SLOT="0/$(ver_cut 1-2)" #698428
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="png static-libs test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ app-arch/unzip
+ ${PYTHON_DEPS}
+ )
+"
+
+RDEPEND="png? ( media-libs/libpng:0= )"
+DEPEND="${RDEPEND}"
+
+DOCS=( CHANGES README )
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ if use test; then
+ mkdir "${WORKDIR}/ubc" || die
+ mv -v "${WORKDIR}"/*.jb2 "${WORKDIR}/ubc/" || die
+ mv -v "${WORKDIR}"/*.bmp "${WORKDIR}/ubc/" || die
+ fi
+
+ # We only need configure.ac and config_types.h.in
+ sed -i \
+ -e '/^# do we need automake?/,/^autoheader/d' \
+ -e '/echo " $AUTOM.*/,$d' \
+ autogen.sh \
+ || die "failed to modify autogen.sh"
+
+ ./autogen.sh || die
+
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_enable static-libs static) \
+ $(use_with png libpng)
+}
+
+src_install() {
+ default
+
+ find "${ED}" -name '*.la' -exec rm {} + || die
+}
next reply other threads:[~2020-09-11 19:40 UTC|newest]
Thread overview: 78+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-09-11 19:40 Thomas Deutschmann [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-21 21:14 [gentoo-commits] repo/gentoo:master commit in: media-libs/jbig2dec/ Andreas Sturmlechner
2024-10-12 22:48 Sam James
2024-10-12 22:08 Sam James
2024-10-10 16:20 Arthur Zamarin
2024-10-03 16:11 Arthur Zamarin
2024-10-03 10:26 Sam James
2024-10-02 22:53 Sam James
2024-06-06 0:45 Sam James
2024-06-06 0:45 Sam James
2024-06-06 0:45 Sam James
2024-06-06 0:45 Sam James
2024-06-06 0:45 Sam James
2023-03-09 7:57 Sam James
2023-03-09 7:57 Sam James
2022-05-22 4:40 Sam James
2022-05-14 7:28 WANG Xuerui
2020-12-27 17:47 Fabian Groffen
2020-12-22 21:32 Sam James
2020-12-22 21:27 Sam James
2020-12-21 9:41 Sergei Trofimovich
2020-12-20 16:40 Thomas Deutschmann
2020-12-18 20:49 Sergei Trofimovich
2020-12-18 10:16 Sergei Trofimovich
2020-12-17 16:41 Agostino Sarubbo
2020-12-16 21:24 Sergei Trofimovich
2020-07-29 17:05 Sergei Trofimovich
2020-07-25 21:01 Sam James
2020-07-22 7:31 Sergei Trofimovich
2020-07-20 18:25 Sam James
2020-07-20 17:52 Sam James
2020-07-20 17:52 Sam James
2020-07-20 17:38 Sam James
2020-07-20 16:04 Sam James
2020-07-20 15:09 Sam James
2019-11-17 7:21 Matt Turner
2019-11-13 13:17 Agostino Sarubbo
2019-11-08 8:35 Mikle Kolyada
2019-11-07 0:00 Aaron Bauman
2019-11-01 10:32 Mikle Kolyada
2019-10-28 7:43 Agostino Sarubbo
2019-10-27 19:25 Sergei Trofimovich
2019-10-26 15:16 Agostino Sarubbo
2019-10-10 23:40 Thomas Deutschmann
2019-06-30 8:05 Pacho Ramos
2019-06-18 11:12 Agostino Sarubbo
2019-06-15 9:08 Pacho Ramos
2019-06-15 7:22 Pacho Ramos
2019-06-13 4:45 Markus Meier
2019-05-12 20:56 Thomas Deutschmann
2019-05-07 8:46 Tobias Klausmann
2019-04-28 20:29 Mikle Kolyada
2019-04-21 17:07 Sergei Trofimovich
2019-04-13 19:10 Agostino Sarubbo
2019-04-13 5:01 Aaron Bauman
2019-04-12 7:06 Sergei Trofimovich
2018-12-27 18:48 Fabian Groffen
2018-06-28 14:37 Mikle Kolyada
2018-05-06 13:20 Mart Raudsepp
2017-10-06 7:44 Lars Wendler
2017-10-06 7:44 Lars Wendler
2017-10-03 8:42 Sergei Trofimovich
2017-06-24 21:52 Sergei Trofimovich
2017-06-23 4:37 Markus Meier
2017-06-21 12:17 Agostino Sarubbo
2017-06-18 14:01 Agostino Sarubbo
2017-06-11 21:21 Andreas Hüttel
2017-03-11 17:07 Agostino Sarubbo
2017-02-28 17:31 Markus Meier
2017-02-25 10:03 Agostino Sarubbo
2017-02-23 9:28 Michael Weber
2017-02-22 16:08 Agostino Sarubbo
2017-02-22 8:08 Jeroen Roovers
2017-02-21 11:54 Tobias Klausmann
2017-02-18 14:33 Agostino Sarubbo
2017-02-18 13:42 Jeroen Roovers
2016-10-02 6:10 Patrick Lauer
2016-10-01 21:40 Andreas Hüttel
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1599853134.512e175785797a160a73754d0e17c87be2cc6fa5.whissi@gentoo \
--to=whissi@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox